org.gcube.dataanalysis.dataminer.poolmanager.clients.configuration

## Class ClientConfigurationCache

- java.lang.Object
- - org.gcube.dataanalysis.dataminer.poolmanager.clients.configuration.ClientConfigurationCache

    public class ClientConfigurationCache
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ClientConfigurationCache()`

### Method Summary

All Methods Instance Methods Concrete Methods
`AbstractConfiguration` `getConfiguration(org.gcube.dataanalysis.dataminer.poolmanager.clients.configuration.ConfigurationImpl.CONFIGURATIONS configuration)`
`String` `getRepository(org.gcube.dataanalysis.dataminer.poolmanager.clients.configuration.ConfigurationImpl.REPOSITORIES repository)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClientConfigurationCache

    public ClientConfigurationCache()

### Method Detail

#### getConfiguration

    public AbstractConfiguration getConfiguration(org.gcube.dataanalysis.dataminer.poolmanager.clients.configuration.ConfigurationImpl.CONFIGURATIONS configuration)

#### getRepository

    public String getRepository(org.gcube.dataanalysis.dataminer.poolmanager.clients.configuration.ConfigurationImpl.REPOSITORIES repository)